{% extends 'base.html.twig' %}

{% block title %}Proxy index{% endblock %}

{% block body %}
    <h1>Proxy index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Host</th>
                <th>Port</th>
                <th>Login</th>
                <th>Password</th>
                <th>Country</th>
                <th>Is_alive</th>
                <th>CreatedAt</th>
                <th>UpdatedAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for proxy in proxies %}
            <tr>
                <td>{{ proxy.id }}</td>
                <td>{{ proxy.host }}</td>
                <td>{{ proxy.port }}</td>
                <td>{{ proxy.login }}</td>
                <td>{{ proxy.password }}</td>
                <td>{{ proxy.country }}</td>
                <td>{{ proxy.isAlive ? 'Yes' : 'No' }}</td>
                <td>{{ proxy.createdAt ? proxy.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ proxy.updatedAt ? proxy.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('app.proxy.show', {'id': proxy.id}) }}">show</a>
                    <a href="{{ path('app.proxy.edit', {'id': proxy.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="10">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app.proxy.new') }}">Create new</a>
{% endblock %}
